NXP NFC Reader Library v4.040.05.011646

Modules | Functions
Type 1 tag
Application Layer

These Components implement the Type 1 Tag commands. More...

Collaboration diagram for Type 1 tag:

## Modules
| Component : Software

## Functions
phStatus_t | phalT1T_ReadUID (void *pDataParams, uint8_t *pUid, uint16_t *pLength)
| Perform Jewel/Topaz Read UID command. More...
phStatus_t | phalT1T_ReadAll (void *pDataParams, uint8_t *pUid, uint8_t **pData, uint16_t *pLength)
| Perform Jewel/Topaz Read All command. More...
phStatus_t | phalT1T_ReadByte (void *pDataParams, uint8_t *pUid, uint8_t bAddress, uint8_t *pData, uint16_t *pLength)
| Perform Jewel/Topaz Read Byte command. More...
phStatus_t | phalT1T_WriteEraseByte (void *pDataParams, uint8_t *pUid, uint8_t bAddress, uint8_t bTxData, uint8_t *pRxData, uint16_t *pLength)
| Perform Jewel/Topaz Write Erase Byte command. More...
phStatus_t | phalT1T_WriteNoEraseByte (void *pDataParams, uint8_t *pUid, uint8_t bAddress, uint8_t bTxData, uint8_t *pRxData, uint16_t *pLength)
| Perform Jewel/Topaz Write No Erase Byte command. More...
phStatus_t | phalT1T_ReadSegment (void *pDataParams, uint8_t *pUid, uint8_t bAddress, uint8_t **pData, uint16_t *pLength)
| Perform Jewel/Topaz Read Segment command. More...
phStatus_t | phalT1T_ReadBlock (void *pDataParams, uint8_t *pUid, uint8_t bAddress, uint8_t *pData, uint16_t *pLength)
| Perform Jewel/Topaz Read Block command. More...
phStatus_t | phalT1T_WriteEraseBlock (void *pDataParams, uint8_t *pUid, uint8_t bAddress, uint8_t *pTxData, uint8_t *pRxData, uint16_t *pLength)
| Perform Jewel/Topaz Write Erase Block command. More...
phStatus_t | phalT1T_WriteNoEraseBlock (void *pDataParams, uint8_t *pUid, uint8_t bAddress, uint8_t *pTxData, uint8_t *pRxData, uint16_t *pLength)
| Perform Jewel/Topaz Write No Erase Block command. More...

## Detailed Description

These Components implement the Type 1 Tag commands.

## Function Documentation

## § phalT1T_ReadUID()

phStatus_t phalT1T_ReadUID | ( | void * | pDataParams,
|  | uint8_t * | pUid,
|  | uint16_t * | pLength
| ) |  |

Perform Jewel/Topaz Read UID command.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  PH_ERR_PROTOCOL_ERROR | Invalid response received.
  PH_ERR_FRAMING_ERROR | Bcc invalid.
  Other | Depending on implementation and underlying component.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [out] | pUid | Uid of Card, 4 bytes.
  [out] | pLength | Number of received data bytes.

## § phalT1T_ReadAll()

phStatus_t phalT1T_ReadAll | ( | void * | pDataParams,
|  | uint8_t * | pUid,
|  | uint8_t ** | pData,
|  | uint16_t * | pLength
| ) |  |

Perform Jewel/Topaz Read All command.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  PH_ERR_PROTOCOL_ERROR | Invalid response received.
  PH_ERR_FRAMING_ERROR | Bcc invalid.
  Other | Depending on implementation and underlying component.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | pUid | Known Uid , 4 bytes.
  [out] | pData | pData containing 122 data bytes returned from the PICC. [HR0][HR1][Data from blocks 0 to 0xE]
  [out] | pLength | Number of received data bytes.

## § phalT1T_ReadByte()

phStatus_t phalT1T_ReadByte | ( | void * | pDataParams,
|  | uint8_t * | pUid,
|  | uint8_t | bAddress,
|  | uint8_t * | pData,
|  | uint16_t * | pLength
| ) |  |

Perform Jewel/Topaz Read Byte command.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  PH_ERR_PROTOCOL_ERROR | Invalid response received.
  PH_ERR_FRAMING_ERROR | Bcc invalid.
  Other | Depending on implementation and underlying component.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | pUid | Known Uid , 4 bytes.
  [in] | bAddress | Address of a byte on Picc to read from.
  [out] | pData | pData containing one data byte returned from the PICC.
  [out] | pLength | Number of received data bytes.

## § phalT1T_WriteEraseByte()

phStatus_t phalT1T_WriteEraseByte | ( | void * | pDataParams,
|  | uint8_t * | pUid,
|  | uint8_t | bAddress,
|  | uint8_t | bTxData,
|  | uint8_t * | pRxData,
|  | uint16_t * | pLength
| ) |  |

Perform Jewel/Topaz Write Erase Byte command.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  PH_ERR_PROTOCOL_ERROR | Invalid response received.
  PH_ERR_FRAMING_ERROR | Bcc invalid.
  Other | Depending on implementation and underlying component.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | pUid | Known Uid, 4 bytes.
  [in] | bAddress | Address of a byte on Picc to write to.
  [in] | bTxData | pData containing data to be written to the Picc.
  [out] | pRxData | pRxData containing 2 data bytes returned from the Picc. [ADD][Byte]
  [out] | pLength | Number of received data bytes.

## § phalT1T_WriteNoEraseByte()

phStatus_t phalT1T_WriteNoEraseByte | ( | void * | pDataParams,
|  | uint8_t * | pUid,
|  | uint8_t | bAddress,
|  | uint8_t | bTxData,
|  | uint8_t * | pRxData,
|  | uint16_t * | pLength
| ) |  |

Perform Jewel/Topaz Write No Erase Byte command.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  PH_ERR_PROTOCOL_ERROR | Invalid response received.
  PH_ERR_FRAMING_ERROR | Bcc invalid.
  Other | Depending on implementation and underlying component.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | pUid | Known Uid , 4 bytes.
  [in] | bAddress | Address of a byte on PICC to write to.
  [in] | bTxData | pData containing data to be written to the PICC.
  [out] | pRxData | pRxData containing 2 data bytes returned from the PICC.
  [out] | pLength | Number of received data bytes.

## § phalT1T_ReadSegment()

phStatus_t phalT1T_ReadSegment | ( | void * | pDataParams,
|  | uint8_t * | pUid,
|  | uint8_t | bAddress,
|  | uint8_t ** | pData,
|  | uint16_t * | pLength
| ) |  |

Perform Jewel/Topaz Read Segment command.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  PH_ERR_PROTOCOL_ERROR | Invalid response received.
  PH_ERR_FRAMING_ERROR | Bcc invalid.
  Other | Depending on implementation and underlying component.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | pUid | Known Uid , 4 bytes.
  [in] | bAddress | Address of a segment on Picc to read from.
  [out] | pData | pData containing 128 bytes of data returned from the PICC.
  [out] | pLength | Number of received data bytes.

## § phalT1T_ReadBlock()

phStatus_t phalT1T_ReadBlock | ( | void * | pDataParams,
|  | uint8_t * | pUid,
|  | uint8_t | bAddress,
|  | uint8_t * | pData,
|  | uint16_t * | pLength
| ) |  |

Perform Jewel/Topaz Read Block command.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  PH_ERR_PROTOCOL_ERROR | Invalid response received.
  PH_ERR_FRAMING_ERROR | Bcc invalid.
  Other | Depending on implementation and underlying component.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | pUid | Known Uid , 4 bytes.
  [in] | bAddress | Address of a block on Picc to read from.
  [out] | pData | pData containing 8 data bytes returned from the Picc. At least 8 bytes must be provided by the user
  [out] | pLength | Number of received data bytes.

## § phalT1T_WriteEraseBlock()

phStatus_t phalT1T_WriteEraseBlock | ( | void * | pDataParams,
|  | uint8_t * | pUid,
|  | uint8_t | bAddress,
|  | uint8_t * | pTxData,
|  | uint8_t * | pRxData,
|  | uint16_t * | pLength
| ) |  |

Perform Jewel/Topaz Write Erase Block command.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  PH_ERR_PROTOCOL_ERROR | Invalid response received.
  PH_ERR_FRAMING_ERROR | Bcc invalid.
  Other | Depending on implementation and underlying component.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | pUid | Known Uid , 4 bytes.
  [in] | bAddress | Address of a block on Picc to write to.
  [in] | pTxData | pTxData containing data to be written to the Picc.
  [out] | pRxData | pRxData containing 8 data bytes returned from the Picc. At least 8 bytes buffer must be provided by the user.
  [out] | pLength | Number of received data bytes.

## § phalT1T_WriteNoEraseBlock()

phStatus_t phalT1T_WriteNoEraseBlock | ( | void * | pDataParams,
|  | uint8_t * | pUid,
|  | uint8_t | bAddress,
|  | uint8_t * | pTxData,
|  | uint8_t * | pRxData,
|  | uint16_t * | pLength
| ) |  |

Perform Jewel/Topaz Write No Erase Block command.

Returns
  Status code

Return values

  PH_ERR_SUCCESS | Operation successful.
  PH_ERR_PROTOCOL_ERROR | Invalid response received.
  PH_ERR_FRAMING_ERROR | Bcc invalid.
  Other | Depending on implementation and underlying component.

Parameters

  [in] | pDataParams | Pointer to this layer's parameter structure.
  [in] | pUid | Known Uid , 4 bytes.
  [in] | bAddress | Address of a block on Picc to write to.
  [in] | pTxData | pTxData containing data to be written to the Picc.
  [out] | pRxData | pRxData containing 8 data bytes returned from the Picc. At least 8 bytes buffer must be provided by the user.
  [out] | pLength | Number of received data bytes.